unit uBase;

interface

uses
  Classes;

const
  mskCurrency = '%.0m';   { whole unit currency }

function GetCellAmount(aValue: string): LongInt;

implementation

function GetCellAmount(aValue: string): LongInt;
var
  I: Integer;
begin
  Result := 0;
  for I := 1 to Length(aValue) do
    if aValue[I] in ['0'..'9'] then
      Result := Result * 10 + Ord(aValue[I]) - Ord('0');
end;

end.
