unit Demo1log;

interface

//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//


//
// MessageId: DEMO1_SERVICE_STARTED
//
// MessageText:
//
//  The service started successfully.
//
const DEMO1_SERVICE_STARTED = $40000001;

//
// MessageId: DEMO1_SERVICE_PAUSED
//
// MessageText:
//
//  The service was paused.
//
const DEMO1_SERVICE_PAUSED = $80000002;

//
// MessageId: DEMO1_SERVICE_CONTINUED
//
// MessageText:
//
//  The service was resumed.
//
const DEMO1_SERVICE_CONTINUED = $40000003;

//
// MessageId: DEMO1_SERVICE_FAILED
//
// MessageText:
//
//  The service failed to start.
//
const DEMO1_SERVICE_FAILED = $C0000004;

//
// MessageId: DEMO1_SERVICE_ENDED
//
// MessageText:
//
//  The service ended successfully.
//
const DEMO1_SERVICE_ENDED = $40000005;

//
// MessageId: DEMO1_SERVICE_INTERROGATED
//
// MessageText:
//
//  The service status was interrogated.
//
const DEMO1_SERVICE_INTERROGATED = $40000006;

//
// MessageId: DEMO1_SERVICE_CODE_INVALID
//
// MessageText:
//
//  The service handler received an unexpected code of '%1'.
//
const DEMO1_SERVICE_CODE_INVALID = $C0000007;

//
// MessageId: DEMO1_SERVICE_UPDATE_STATUS_FAILED
//
// MessageText:
//
//  The call to update SCM with current status failed. Last error code was %1.
//
const DEMO1_SERVICE_UPDATE_STATUS_FAILED = $C0000008;

//
// MessageId: DEMO1_SERVICE_REGHANDLER_FAILED
//
// MessageText:
//
//  The call to register the service handler failed with %1.
//
const DEMO1_SERVICE_REGHANDLER_FAILED = $C0000009;

//
// MessageId: DEMO1_SERVICE_STARTDISPATCHER_FAILED
//
// MessageText:
//
//  The call to start the service displatcher failed with %1.
//
const DEMO1_SERVICE_STARTDISPATCHER_FAILED = $C000000A;

//
// MessageId: DEMO1_SERVICE_STARTUP_PARM_INVALID
//
// MessageText:
//
//  The service startup parameter '%1' is invalid. Expected a single number!
//
const DEMO1_SERVICE_STARTUP_PARM_INVALID = $C000000B;

implementation

{$R DEMO1LOG.RES}

end.

